	SUBROUTINE PROMPT(ITRANS)
	COMMON/INPFIL/ INPTR,INEND,INPSUM,INYBBL,IDELAY,IPRMPT,ISENT,
     C			LINEI,ICHECK,LENI,IFLAGI,NIREC
	LOGICAL*1 MSG2(21)
	DATA MSG2/'P','r','o','m','p','t','l','e','s','s',' ','t','r',
     C		 'a','n','s','m','i','t',"15,"12/
	IF((ITRANS.AND."400).EQ.0) GOTO 10
	ITRANS=(ITRANS.AND."177377)
	WRITE(5,5)
 5	FORMAT($,' Prompted transmit')
	WRITE(5,6) "15,"12
 6	FORMAT($,1X,2A1,'Enter prompt character: ')
 7	I=ITTING(IDUMMY)
	IF(I.LT.0) GOTO 7
	IPRMPT=I
	CALL ENQUE(I)
	CALL ENQUE("15)
	CALL ENQUE("12)
	RETURN
C
 10	ITRANS=ITRANS+"400
	DO 15 I=1,21
	J=MSG2(I)
 15	CALL ENQUE(J)
	RETURN
	END
